Upload A Remittance
curl --request POST \
--url http://api.stuut.ai/v1/remittances/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"mime_type": "<string>",
"partner": "<string>"
}
'import requests
url = "http://api.stuut.ai/v1/remittances/upload"
payload = {
"filename": "<string>",
"mime_type": "<string>",
"partner": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '<string>', mime_type: '<string>', partner: '<string>'})
};
fetch('http://api.stuut.ai/v1/remittances/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"presigned_url": {
"url": "<string>",
"fields": {}
},
"remittance": {
"object": "<string>",
"id": "<string>",
"agent_confidence_reason": "<string>",
"agent_confidence_score": 123,
"agent_error_code": "<string>",
"agent_uncertainties": [
"<string>"
],
"allocations": [
{
"invoice_number": "<string>",
"object": "<string>",
"remittance_id": "<string>",
"amount_discount": 123,
"amount_paid": 123,
"amount_withheld": 123,
"created_at": "2023-11-07T05:31:56Z",
"invoice": {
"amount_due": 123,
"currency": "<string>",
"id": "<string>",
"amount_paid": 123,
"due_date": "2023-11-07T05:31:56Z"
},
"invoice_id": "<string>",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"attachment": {
"mime_type": "<string>",
"name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"content_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"disposition": "<string>",
"is_verified": true,
"modified_at": "2023-11-07T05:31:56Z",
"presigned_url": "<string>",
"presigned_url_expires_at": "2023-11-07T05:31:56Z",
"purpose": "<string>",
"remote_id": "<string>",
"size": 123,
"src": "<unknown>",
"user_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"email": {
"object": "<string>",
"thread_id": "<string>",
"id": "<string>",
"attachments": [
{
"mime_type": "<string>",
"name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"content_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"disposition": "<string>",
"is_verified": true,
"modified_at": "2023-11-07T05:31:56Z",
"presigned_url": "<string>",
"presigned_url_expires_at": "2023-11-07T05:31:56Z",
"purpose": "<string>",
"remote_id": "<string>",
"size": 123,
"src": "<unknown>",
"user_id": "<string>"
}
],
"author": {
"email": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dashboard_settings": {
"thread_emails_sort_order": "asc"
},
"default_email_sender_id": "<string>",
"invited_by_user_id": "<string>",
"is_access_approved": true,
"is_org_admin": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboarding_required": true,
"profile_picture": "<string>",
"selected": true
},
"author_id": "<string>",
"bcc": [
"<string>"
],
"body": "<string>",
"bounced_addresses": [
"<string>"
],
"bulk_email_request_id": "<string>",
"cc": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"custom_headers": "<unknown>",
"email_reason": "<string>",
"email_sender": {
"email": "<string>",
"object": "<string>",
"reply_to": "<string>",
"user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expired_at": "2023-11-07T05:31:56Z",
"is_nylas_connection": true,
"is_nylas_grant_expired": true,
"is_shared": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"provider": "<string>",
"reply_to_name": "<string>",
"signature_html": "<string>"
},
"email_sender_id": "<string>",
"error_message": "<string>",
"from_email": "<string>",
"generated_body": "<string>",
"is_automated": true,
"is_generated": true,
"is_originated_in_stuut": true,
"is_unread": true,
"modified_at": "2023-11-07T05:31:56Z",
"parent_email_id": "<string>",
"participants": [
"jsmith@example.com"
],
"remote_id": "<string>",
"remote_links": [
{
"email_id": "<string>",
"email_sender_id": "<string>",
"object": "<string>",
"remote_id": "<string>",
"remote_thread_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"reply_to": [
"<string>"
],
"send_separately": true,
"sent_at": "2023-11-07T05:31:56Z",
"sent_by_id": "<string>",
"snippet": "<string>",
"subject": "<string>",
"to": [
"<string>"
]
},
"modified_at": "2023-11-07T05:31:56Z",
"partner": {
"id": "<string>",
"account_number": "<string>",
"ap_portals": [
{
"object": "<string>",
"partner_id": "<string>",
"id": "<string>",
"account": {
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"available_operations": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"account_id": "<string>",
"account_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"customer_identifier": "<string>",
"customer_name": "<string>",
"invoice_submission_guidelines": "<string>",
"is_enabled": true,
"is_invoice_submission_enabled": true,
"is_report_download_enabled": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"report_email": "<string>"
}
],
"assignee": {
"email": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dashboard_settings": {
"thread_emails_sort_order": "asc"
},
"default_email_sender_id": "<string>",
"invited_by_user_id": "<string>",
"is_access_approved": true,
"is_org_admin": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboarding_required": true,
"profile_picture": "<string>",
"selected": true
},
"assignee_id": "<string>",
"billing_address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"billing_address_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"custom_fields": "<unknown>",
"description": "<string>",
"email": "<string>",
"family_name": "<string>",
"finix_identity_id": "<string>",
"given_name": "<string>",
"invoice_prefix": "<string>",
"is_active": true,
"is_company": true,
"is_email_disabled": true,
"is_phone_disabled": true,
"is_primary_email": true,
"is_primary_phone": true,
"last_outreach_at": "2023-11-07T05:31:56Z",
"last_outreach_to": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"legal_name": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"object": "<string>",
"on_behalf_of": "<string>",
"on_behalf_of_phone": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"phone": "<string>",
"remote_created_at": "2023-11-07T05:31:56Z",
"remote_id": "<string>",
"remote_metadata": null,
"remote_modified_at": "2023-11-07T05:31:56Z",
"remote_parent_id": "<string>",
"remote_payment_portal_url": "<string>",
"shipping_address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"status_metadata": "<unknown>",
"tags": [
{
"object": "<string>",
"partner_id": "<string>",
"tag_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_manual": true,
"modified_at": "2023-11-07T05:31:56Z",
"tag": {
"name": "<string>",
"object": "<string>",
"id": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"rule_condition": {}
}
}
],
"tax_number": "<string>"
},
"payee_bank_details": {
"account_number": null,
"bank_name": null,
"bank_number": null,
"branch_number": null,
"iban": null,
"type": null
},
"payer_bank_details": {
"account_number": null,
"bank_name": null,
"bank_number": null,
"branch_number": null,
"iban": null,
"type": null
},
"payer_email": "<string>",
"payer_name": "<string>",
"payment_method": "<string>",
"transaction_amount": 123,
"transaction_date": "2023-12-25",
"transaction_number": "<string>"
}
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Remittances
Upload A Remittance
POST
/
v1
/
remittances
/
upload
Upload A Remittance
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
